%define name	anthill
%define version	0.2.6
%define release	1mdk
%define languages de es fi fr il nl pl ru zh

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%define mod_conf Z16_%{name}.conf

Summary:	Bug tracking database system written in PHP
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://anthill.vmlinuz.ca/
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{mod_conf}.bz2
Patch0:		anthill-0.2.6-config.diff.bz2
BuildRequires:  ADVX-build >= 9.2
Requires:	php-common php-mysql
Requires:	%{ap_name}-mod_php
Provides: 	ADVXpackage
Provides: 	AP20package
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch

%description
Anthill is a bug tracking database system written in PHP. It
provides the standard bug tracking features such as: user logins,
summary reports, submitting bugs, querying bugs, various severity
and status levels. It also provides some unique features, such as
a template system, and multi-lingual support. 

%prep

%setup -q
%patch0 -p1

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}/var/www/html/%{name}/images
install -d %{buildroot}/var/www/html/%{name}/include

install -m0644 html/*.php %{buildroot}/var/www/html/%{name}/
install -m0644 html/*.css %{buildroot}/var/www/html/%{name}/
install -m0644 html/images/*.png %{buildroot}/var/www/html/%{name}/images/
install -m0644 html/images/*.gif %{buildroot}/var/www/html/%{name}/images/
install -m0644 include/.htaccess %{buildroot}/var/www/html/%{name}/include/
install -m0644 include/*.php %{buildroot}/var/www/html/%{name}/include/

for i in %languages; do
    install -d %{buildroot}/var/www/html/%{name}/backend/language/$i/LC_MESSAGES
    install -m0644 html/backend/language/$i/LC_MESSAGES/* \
	%{buildroot}/var/www/html/%{name}/backend/language/$i/LC_MESSAGES/
done

install -m0644 html/backend/language/Anthill.pot %{buildroot}/var/www/html/%{name}/backend/language/

install -d %{buildroot}/var/www/html/%{name}/backend/template/blue
install -d %{buildroot}/var/www/html/%{name}/backend/template/default

install -m0644 html/backend/template/README.themes %{buildroot}/var/www/html/%{name}/backend/template/
install -m0644 html/backend/template/blue/*.css %{buildroot}/var/www/html/%{name}/backend/template/blue/
install -m0644 html/backend/template/blue/*.php %{buildroot}/var/www/html/%{name}/backend/template/blue/
install -m0644 html/backend/template/default/*.css %{buildroot}/var/www/html/%{name}/backend/template/default/
install -m0644 html/backend/template/default/*.php %{buildroot}/var/www/html/%{name}/backend/template/default/

install -d %{buildroot}/var/www/html/%{name}/shadow
install -d %{buildroot}/var/www/html/%{name}/tmp
install -d %{buildroot}/var/www/html/%{name}/gpg
install -d %{buildroot}/var/www/html/%{name}/attachments

%ADVXinstconf %{SOURCE1} %{mod_conf}

# cleanup
rm -f %{buildroot}/var/www/html/%{name}/include/.htaccess

%post
%ADVXpost

%postun
%ADVXpost

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc etc/* contrib CHANGES README README.html THANKS TODO 
%config(noreplace) %{ap_confd}/%{mod_conf}
%config(noreplace) %attr(0644,root,root) /var/www/html/%{name}/include.php
%config(noreplace) %attr(0644,root,root) /var/www/html/%{name}/include/config.inc.php
%dir %attr(0700,apache,apache) /var/www/html/%{name}/shadow
%dir %attr(0700,apache,apache) /var/www/html/%{name}/tmp
%dir %attr(0700,apache,apache) /var/www/html/%{name}/gpg
%dir %attr(0700,apache,apache) /var/www/html/%{name}/attachments
/var/www/html/%{name}

%changelog
* Mon Nov 24 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2.6-1mdk
- rediffed P0
- fix requires & buildrequires
- fix dir perms
- added S1
- use the common ADVX macros to reload apache2 in %%post
- misc spec file fixes

* Thu Oct 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2.4-2mdk
- arrgh!, forgot about some crucial dirs...

* Thu Oct 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2.4-1mdk
- initial cooker contrib
